# Uses of Class
org.mariadb.jdbc.internal.failover.tools.SearchFilter

Packages that use SearchFilter
Package
Description
org.mariadb.jdbc.internal.failover
org.mariadb.jdbc.internal.failover.impl
org.mariadb.jdbc.internal.protocol

## Uses of SearchFilter in org.mariadb.jdbc.internal.failover

Methods in org.mariadb.jdbc.internal.failover that return SearchFilter
Modifier and Type
Method
Description
`SearchFilter`
AbstractMastersListener.`getFilterForFailedHost()`
`SearchFilter`
AbstractMastersReplicasListener.`getFilterForFailedHost()`
`SearchFilter`
Listener.`getFilterForFailedHost()`
Methods in org.mariadb.jdbc.internal.failover with parameters of type SearchFilter
Modifier and Type
Method
Description
`abstract boolean`
AbstractMastersListener.`checkMasterStatus(SearchFilter searchFilter)`
`boolean`
Listener.`checkMasterStatus(SearchFilter searchFilter)`
`abstract void`
AbstractMastersListener.`reconnectFailedConnection(SearchFilter filter)`
`void`
Listener.`reconnectFailedConnection(SearchFilter filter)`

## Uses of SearchFilter in org.mariadb.jdbc.internal.failover.impl

Methods in org.mariadb.jdbc.internal.failover.impl with parameters of type SearchFilter
Modifier and Type
Method
Description
`boolean`
AuroraListener.`checkMasterStatus(SearchFilter searchFilter)`
`boolean`
MastersFailoverListener.`checkMasterStatus(SearchFilter searchFilter)`
Check master status.
`boolean`
MastersReplicasListener.`checkMasterStatus(SearchFilter searchFilter)`
Check master status.
`void`
AuroraListener.`reconnectFailedConnection(SearchFilter initialSearchFilter)`
Search a valid connection for failed one.
`void`
MastersFailoverListener.`reconnectFailedConnection(SearchFilter searchFilter)`
Loop to connect failed hosts.
`void`
MastersReplicasListener.`reconnectFailedConnection(SearchFilter searchFilter)`
Loop to connect.

## Uses of SearchFilter in org.mariadb.jdbc.internal.protocol

Methods in org.mariadb.jdbc.internal.protocol with parameters of type SearchFilter
Modifier and Type
Method
Description
`protected static boolean`
MastersReplicasProtocol.`foundMaster(MastersReplicasListener listener, MastersReplicasProtocol protocol, SearchFilter searchFilter)`
`protected static boolean`
MastersReplicasProtocol.`foundSecondary(MastersReplicasListener listener, MastersReplicasProtocol protocol, SearchFilter searchFilter)`
`static void`
AuroraProtocol.`loop(AuroraListener listener, GlobalStateInfo globalInfo, List<HostAddress> addresses, SearchFilter initialSearchFilter)`
loop until found the failed connection.
`static void`
MasterProtocol.`loop(Listener listener, GlobalStateInfo globalInfo, List<HostAddress> addresses, SearchFilter searchFilter)`
loop until found the failed connection.
`static void`
MastersReplicasProtocol.`loop(MastersReplicasListener listener, GlobalStateInfo globalInfo, List<HostAddress> addresses, SearchFilter searchFilter)`
loop until found the failed connection.